snd_pcm_sgbuf_ops_page
Prev | Chapter 22. Sound Devices | Next

## Name

snd_pcm_sgbuf_ops_page — get the page struct at the given offset

## Synopsis

`struct page * snd_pcm_sgbuf_ops_page (` | struct snd_pcm_substream * | substream,
| unsigned long | offset`)`;

## Arguments

`substream`

  the pcm substream instance

`offset`

  the buffer offset

## Description

Returns the page struct at the given buffer offset. Used as the page callback of PCM ops.

Prev | Up | Next
snd_pcm_lib_preallocate_pages_for_all | Home | snd_pcm_lib_malloc_pages